stable

mate-desktop-1.26.0-5.fc36

FEDORA-2022-8d14f0b9ec created by raveit65 2 years ago for Fedora 36
  • obsolete mate-desktop-systemd from previous build
  • use earlyoom instead of systemd-oomd-defaults
  • make earlyoom uninstallable
  • fixes rhbz (#2068699)

Note: update needs to installed with "dnf update mate-desktop* --best --allowerasing" Which will be remove systemd-oomd-defaults.

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2022-8d14f0b9ec

This update has been submitted for testing by raveit65.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been submitted for testing by raveit65.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon rathann commented & provided feedback 2 years ago
karma

I don't have either earlyoom or systemd-oomd installed and this update forces earlyoom on me. I've never experienced any out of memory issues on my machines or had my desktop sessions killed, even on those with 8GB or less. Please drop the earlyoom or mate-desktop-systemd requirement or at least change to a weak dependency.

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago
User Icon rathann commented & provided feedback 2 years ago

FWIW, nothing requires systemd-oomd-defaults, not even weakly, so it can be uninstalled with no dependency issues.

User Icon raveit65 commented & provided feedback 2 years ago

No, this isn't true. I've tested this several times and since f34 systemd-oomd-defaults is installed as default. Please read https://fedoraproject.org/wiki/Changes/EnableSystemdOomd and https://bugzilla.redhat.com/show_bug.cgi?id=1933494 Removing systemd-oomd-defaults will disable systemd-oomd.service. So, Conflicts: systemd-oomd-defaults is needed to remove systemd-oomd-defaults from existing installations, otherwise 2 oom memory services are enabled. And sorry, that you never experience memory problems isn't the point. Here is a user who reported the problem. systemd-oomd kills the whole mate session because of missing cgroups support. https://bugzilla.redhat.com/show_bug.cgi?id=2068699 Please revert your negative karma.

And if you not trust me and all the people from reports. Revert this update, install systemd-oomd-defaults, and try again to install the update :)

BZ#2068699 Disable systemd-oomd when MATE desktop is used
User Icon rathann commented & provided feedback 2 years ago

You are missing my point. I can uninstall systemd-oomd-defaults, but I can't uninstall earlyoom after installing this update. It makes things worse for me, hence the negative karma.

User Icon raveit65 commented & provided feedback 2 years ago

You can't do systemctl disable earlyoom if you don't like it?

User Icon raveit65 commented & provided feedback 2 years ago

Do you give positive karma when is use Recommends: earlyoom?

User Icon raveit65 commented & provided feedback 2 years ago

error......is use = i use

User Icon rathann commented & provided feedback 2 years ago

I can live with Recommends: earlyoom instead of Requires:. I'd change my vote here in that case. I'm not sure why you thought you needed to create a new subpackage just for fixing #2068699. You could have added the Conflicts: systemd-oomd-defaults and Recommends: earlyoom to the -configs subpackage. Each new subpackage increases the amount of repo metadata that dnf has to process. Please revert creation of the -systemd subpackage and fold it back into -configs.

raveit65 edited this update.

New build(s):

  • mate-desktop-1.26.0-5.fc36

Removed build(s):

  • mate-desktop-1.26.0-4.fc36

Karma has been reset.

2 years ago

This update has been submitted for testing by raveit65.

2 years ago

raveit65 edited this update.

2 years ago
User Icon raveit65 commented & provided feedback 2 years ago

I am so happy to spend a lot of my spare time to make you happy.

User Icon raveit65 commented & provided feedback 2 years ago

PS: Why you're highlighting nearly every word in a short post? This looks very unfriendly and aggressive......

User Icon earthwalker commented & provided feedback 2 years ago
karma

LGTM

BZ#2068699 Disable systemd-oomd when MATE desktop is used

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago
User Icon geraldosimiao commented & provided feedback a year ago

Testing new F36 respin here, and at first update test I have this output:

 Problem 1: package mate-desktop-configs-1.26.0-5.fc36.noarch conflicts with systemd-oomd-defaults provided by systemd-oomd-defaults-250.6-1.fc36.noarch
  - cannot install the best update candidate for package systemd-oomd-defaults-250.6-1.fc36.noarch
  - cannot install the best update candidate for package mate-desktop-configs-1.26.0-3.fc36.noarch
 Problem 2: problem with installed package systemd-oomd-defaults-250.6-1.fc36.noarch
  - package mate-desktop-configs-1.26.0-5.fc36.noarch conflicts with systemd-oomd-defaults provided by systemd-oomd-defaults-250.6-1.fc36.noarch
  - package mate-desktop-1.26.0-5.fc36.x86_64 requires mate-desktop-configs = 1.26.0-5.fc36, but none of the providers can be installed
  - cannot install the best update candidate for package mate-desktop-1.26.0-3.fc36.x86_64
===========================================================================================
 Package                              Architecture           Version                         Repository               Size
===========================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
    mate-desktop-configs                 noarch                 1.26.0-5.fc36                   updates                  11 k
Skipping packages with broken dependencies:
    mate-desktop                         x86_64                 1.26.0-5.fc36                   updates                  82 k

Transaction Summary
=====================================================================================
Skip  2 Packages
User Icon raveit65 commented & provided feedback a year ago

sigh, please follow links and read......

User Icon geraldosimiao commented & provided feedback a year ago
karma

Thanks, I readed all of them. So the problem is that when building the new MATE respin we used systemd-oomd-defaults instead of earlyoom. OK must rebuild that right. Once again thanks for the attention @raveit65

BZ#2068699 Disable systemd-oomd when MATE desktop is used

Please login to add feedback.

Metadata
Type
unspecified
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-10
Stable by Karma
1
Stable by Time
7 days
Dates
submitted
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#2068699 Disable systemd-oomd when MATE desktop is used
0
2

Automated Test Results